# Changelog

All notable changes to this project will be documented in this file

## [v0.3.0] - 2020-06-30
### Changed
- early stopping strategies
- offline recommendation files evaluation (ProxyRecommender, RecommendationFolder) 
- negative sampling evaluation
- improved Microsoft Windows compatibility  
- binarization of explicit dataset
- automatic loading of implicit datasets 
- multiple prefiltering
- managing side information with modular loaders
- alignment of side information with training data
- improved Documentation: Model creation, Side Information loading, Early Stopping, Negative Sampling 
- added nDCG as formulated in Rendle's 2020 KDD paper
- visual loader with tensorflow pipeline 
- added and fixing visual recsys method:
  - DVBPR
  - VBPR
  - DeepStyle
  - ACF
  - VNPR
- added new recommender method
  - MF (Rendle's 2020 RecSys reproducibility paper)
  - EASER
  - RP3beta
  - iALS

## [v0.2.1] - 2020-03-27
### Changed

- `requirements.txt` for Pillow vulnerabilities, change version to >=8.1.1
- Adversarial features for ECIR tutorial "__AL4Rec__"
- Hands-on example for ECIR Tutorial "__AL4Rec__"

## [v0.2.0] - 2020-03-12
### Added

- new dataloader ItemCategoryLoader
- Enabled FunSVD with batch_size
- Generalized feature-aware Factorization Machines
- batch_size field in recommendation snippet examples

### Changed

- MultiDAE documentation
- setup issues by [@deklanw](https://github.com/deklanw)
- indentation in README config by [@deklanw](https://github.com/deklanw)
- separated sample main and sample devel scripts
- paper experiment coherence
- combination Full recommendation metrics + argpartition
- Dataset data mock-ups
- long names namespace model generation during hyperspace exploration
- default validation k setup


## [v0.1.0] - 2020-03-05
First Release